> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/account-account.md).

# Account (Account)

## Get Balance

### **API Request**

| **GET** | <https://api.innopaas.com/api/whatsapp/v3/account/getBalance> |
| ------- | ------------------------------------------------------------- |

### **Response Parameters**

| Field           | Data Type | Required | Description                                                                                                  |
| --------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------ |
| payType         | Integer   | Yes      | 1: Prepaid account, 2: Postpaid account                                                                      |
| preBalance      | Double    | Yes      | Prepaid balance, when payType=1, verify balance                                                              |
| postBalance     | Double    | Yes      | Postpaid credit balance, when payType=2, verify balance; if isCreditUnlimit=1, the credit limit is unlimited |
| isCreditUnlimit | Integer   | Yes      | Whether postpaid credit is limited, 0: Limited, 1: Unlimited                                                 |

### **Response Example**

```json
{
    "code": "0",
    "message": "Success",
    "data": {
        "payType": "",
        "preBalance": "innopaas street1.",
        "postBalance": "my test2",
        "isCreditUnlimit": "admin@innopaas.com",
        }
}
```

## Authorize Waba to InnoPaaS

### **API Request**

| POST | <https://api.innopaas.com/api/whatsapp/v3/business/authorized> |
| ---- | -------------------------------------------------------------- |

### **Request Parameters**

| Field               | Data Type | Required | Description                                                                                                                                                                                                                                                                                   |
| ------------------- | --------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| event               | String    | Yes      | Authorization event: Business App authorization FINISH\_WHATSAPP\_BUSINESS\_APP\_ONBOARDING Waba Sender authorization FINISH\_WHATSAPP\_BUSINESS\_PHONE\_ONBOARDING MMLITE authorization FINISH\_WHATSAPP\_MMLITE\_ONBOARDING ADS advertising authorization FINISH\_WHATSAPP\_ADS\_ONBOARDING |
| type                | String    | Yes      | *Fixed value: WA\_EMBEDDED\_SIGNUP*                                                                                                                                                                                                                                                           |
| code                | String    | Yes      | Authorization code                                                                                                                                                                                                                                                                            |
| data                | Object    | Yes      | Specific authorization information                                                                                                                                                                                                                                                            |
| --waba\_id          | String    | No       | Waba Id, required for Business App authorization, Waba Sender authorization\*                                                                                                                                                                                                                 |
| --phone\_number\_id | String    | No       | Bound phone number Id, required for Business App authorization, Waba Sender authorization\*                                                                                                                                                                                                   |
| --business\_id      | String    | No       | BS enterprise ID, required when Business App authorization, Waba Sender authorization, MMLITE authorization,*Required*                                                                                                                                                                        |
| --waba\_ids         | String    | No       | Waba Id list, when MMLITE authorization,*Required*                                                                                                                                                                                                                                            |
| --page\_ids         | String    | No       | *Page ID list, required for CTWA and PageId authorization*                                                                                                                                                                                                                                    |
| --dataset\_ids      | String    | No       | *Data set ID list.*&#x52;equired for CTWA and dataset authorization                                                                                                                                                                                                                           |
| --catalog\_ids      | String    | No       | *Catalog ID list.*&#x52;equired for CTWA and dataset authorization                                                                                                                                                                                                                            |

### **Request Example**

```json
{
    "event":"FINISH_WHATSAPP_BUSINESS_PHONE_ONBOARDING",
    "type":"WA_EMBEDDED_SIGNUP",
    "code":"asodaosdoausiduaoisduoiasudiuahsdisadaisjdoajsdkj",
    "data":{
         "business_id":123123123123123,
         "waba_id":123123123123123,
         "phone_number_id":12121212
     }
}
```

### **Response Example**

```json
{
"code": "0",
"message": "Success",
}
```

## Get Waba List Information

### **API Request**

| POST | <https://api.innopaas.com/api/whatsapp/v3/account/wabaInfo> |
| ---- | ----------------------------------------------------------- |

### **Response Parameters**

| Field      | Data Type | Required | Description                                                                                               |
| ---------- | --------- | -------- | --------------------------------------------------------------------------------------------------------- |
| wabaId     | String    | Yes      | Unique identifier of the WhatsApp business account                                                        |
| wabaName   | String    | Yes      | WhatsApp business account name                                                                            |
| wabaStatus | String    | Yes      | Status**PENDING**Under Review**APPROVED**Approved**REJECTED**Rejected**PAUSED**Paused**DISABLED**Disabled |

### **Response Example**

```json
{
    "code": "0",
    "message": "Success",
    "data": [
        {
            "wabaId": "***123****",
            "wabaName": "PT TIG TECH ",
            "wabaStatus": "APPROVED"
        },
        {
            "wabaId": "*****456****",
            "wabaName": "PT TIG CODE ",
            "wabaStatus": "APPROVED"
        }
    ]
}
```

## Get Waba Number Information

### **API Request**

| POST | <https://api.innopaas.com/api/whatsapp/v3/account/phoneInfo> |
| ---- | ------------------------------------------------------------ |

### **Request Parameters**

| Field  | Data Type | Required | Description                                        |
| ------ | --------- | -------- | -------------------------------------------------- |
| wabaId | String    | Yes      | Unique identifier of the WhatsApp business account |

### **Request Example**

```json
{
    "wabaId":"27899******57661"
}
```

### **Response Parameters**

| Field              | Data Type | Required | Description       |
| ------------------ | --------- | -------- | ----------------- |
| id                 | String    | Yes      | *Phone number ID* |
| displayPhoneNumber | String    | Yes      | Display number    |
| verifiedName       | String    | Yes      | Name              |
| status             | String    | Yes      | Number status     |
| qualityRating      | String    | Yes      | Number quality    |
| messageLimit       | String    | Yes      | Message limit     |

### **Response Example**

```json
{
"code": "0",
"message": "Success",
"data": [
    {
        "id": "3142****760025",
        "displayPhoneNumber": "+62 852-****-0016",
        "verifiedName": "name",
        "status": "CONNECTED",
        "qualityRating": "GREEN",
        "messageLimit": "TIER_250"
    }
]}
```
